> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Preferences

> PATCH /me/preferences — persist user preferences.



## OpenAPI

````yaml /openapi.json patch /v1/me/preferences
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/me/preferences:
    patch:
      tags:
        - shell
      summary: Patch Preferences
      description: PATCH /me/preferences — persist user preferences.
      operationId: patch_preferences_v1_me_preferences_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreferencesPatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    PreferencesPatchRequest:
      properties:
        rail_collapsed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Rail Collapsed
        table_density:
          anyOf:
            - enum:
                - compact
                - comfortable
                - spacious
              type: string
            - type: 'null'
          title: Table Density
        theme:
          anyOf:
            - enum:
                - light
                - dark
                - system
              type: string
            - type: 'null'
          title: Theme
      title: PreferencesPatchRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````